Subject: bug#26407: closed (Re: bug#26407: test.dicod fails after ~20 hours of failed connection attempts)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 May 2017 21:16:01 +0000

Your bug report

#26407: test.dicod fails after ~20 hours of failed connection attempts

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26407: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26407
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26407: test.dicod fails after ~20 hours of failed connection attempts
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Mon, 01 May 2017 23:15:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mark H Weaver <[email-masked]> skribis:

> Recently, test.dicod has started failing after taking ~20 hours of
> build-slot time, mostly filled with "Connection refused" errors:
>
>   https://hydra.gnu.org/job/gnu/master/test.dicod.x86_64-linux
>
> Here's a build that recently failed after 20 hours:
>
>   https://hydra.gnu.org/build/1974589
>
> and here's one that, as of the time of this writing, is currently 14
> hours into the build, and stuck in the same "Connection refused" loop:
>
>   https://hydra.gnu.org/build/1974709

I could reproduce the problem back when you reported it, but it seems
that it vanished (it works for me several times in raw):

  https://hydra.gnu.org/job/gnu/master/test.dicod.x86_64-linux

Previously, when it failed (as in
<https://hydra.gnu.org/build/1999217/nixlog/17/raw>, corresponding to
commit 1f49cd546ec350678e238353e8036f0792793901), the problem was:

  exec of "/gnu/store/mi5k7xi6wfhj2irdys7qc9fabpii60gh-dico-2.4/bin/dicod" failed: Permission denied

… and thus attempts to connect to dicod failed.

When I tried to debug it, this happened only when running dicod as user
“dicod”, and not when running it as root.  Also, this happened only when
running qemu non-interactively.

So I’m willing to punt on this one and disregard it as a qemu/kernel
issue.  Let’s reopen it if the problem comes back.

Thanks,
Ludo’.

Subject: test.dicod fails after ~20 hours of failed connection attempts
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sat, 08 Apr 2017 14:43:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Recently, test.dicod has started failing after taking ~20 hours of
build-slot time, mostly filled with "Connection refused" errors:

  https://hydra.gnu.org/job/gnu/master/test.dicod.x86_64-linux

Here's a build that recently failed after 20 hours:

  https://hydra.gnu.org/build/1974589

and here's one that, as of the time of this writing, is currently 14
hours into the build, and stuck in the same "Connection refused" loop:

  https://hydra.gnu.org/build/1974709

      Mark